Unable to upload APK to Playstore

  1. SDK Version: 33.0.0
  2. Platforms: Android

Unable to upload APK to Playstore.
Error : Google Api Error: apiDeprecated: This API has been deprecated and is no longer available.

Can’t find such API in my project which is causing issue.

Hey @esha1234, from where and when are you receiving this error?

Cheers,
Adam

Thanks for the reply @adamjnav.

I received the error in the terminal after I executed this command

expo upload:android --track production

Cheers, Esha.

Also getting the same message. using expo upload:android --key /path/to/key

Please paste the output of expo diagnostics here.

Also see if you get any more info if you do this (assuming you’re running on macOS or Linux):

EXPO_DEBUG=true expo upload:android --key /path/to/key

If you do, please post them here too.

Here are the logs! seems like expo might be using an outdated google api?

Failed to upload the standalone app to the app store.
Google Api Error: apiDeprecated: This version of the Play Developer API is no longer available. For more information see https://android-developers.googleblog.com/2019/03/changes-to-google-play-developer-api.html. - This version of the
 Play Developer API is no longer available. For more information see https://android-developers.googleblog.com/2019/03/changes-to-google-play-developer-api.html.
Error: Google Api Error: apiDeprecated: This version of the Play Developer API is no longer available. For more information see https://android-developers.googleblog.com/2019/03/changes-to-google-play-developer-api.html. - This version
 of the Play Developer API is no longer available. For more information see https://android-developers.googleblog.com/2019/03/changes-to-google-play-developer-api.html.
    at runFastlaneAsync (/expo-cli@3.8.0/src/commands/upload/utils.ts:73:11)
    at AndroidUploader._uploadToTheStore (/expo-cli@3.8.0/src/commands/upload/AndroidUploader.ts:74:5)
    at AndroidUploader.upload (/expo-cli@3.8.0/src/commands/upload/BaseUploader.ts:32:5)
    at /expo-cli@3.8.0/src/commands/upload.js:98:clock7:

hmmm… Try upgrading to the latest version of expo-cli.

1 Like

Thanks! that was the issue.

2 Likes